﻿.knowledge-category-box{
    margin: 80px 0;
    position: relative;
}
.knowledge-category-list-box{
    position: relative;
    box-sizing: border-box;
    padding-right: 100px;
}
.knowledge-category-search-box{
    position: absolute;
    bottom: -60px;
    right: 0;
    transition: all .3s linear;
}
.knowledge-category-search{
    width: 200px;
    display: inline-block;
    vertical-align: middle;
}
.knowledge-category-search-text{
    width: 100%;
    height: 40px;
    line-height: 40px;
    font-family: "Noto Sans TC";
    font-weight: 300;
    font-size: 16px;
    color: #000;
    letter-spacing: 0.06em;
    border: 1px solid #ddd;
    box-sizing: border-box;
    padding: 0 15px;
    transition: all .3s linear;
}
.knowledge-category-search-text::placeholder{
    color: #666;
}
.knowledge-category-search-btn{
    width: 40px;
    line-height: 38px;
    font-size: 16px;
    color: #000;
    background-color: #f5f5f5;
    border: 1px solid #ddd;
    border-left: none;
    box-sizing: border-box;
    text-align: center;
    display: inline-block;
    vertical-align: middle;
    margin: 0;
    padding: 0;
    cursor: pointer;
    transition: all .3s linear;
}
.knowledge-category-list{
    display: inline-block;
    vertical-align: middle;
    margin-right: 20px;
}
.knowledge-category{
    display: inline-block;
    vertical-align: middle;
    border-bottom: 1px solid #ddd;
    text-align: center;
    transition: all .3s linear;
}
.knowledge-category>a{
    width: 90px;
    display: inline-block;
    vertical-align: middle;
    line-height: 25px;
    font-family: "Noto Sans TC";
    font-size: 16px;
    color: #666;
    letter-spacing: 0.06em;
    box-sizing: border-box;
    padding: 10px 10px;
    transition: all .3s linear;
}
.knowledge-info{
    width: 380px;
    display: inline-block;
    vertical-align: top;
    position: relative;
    margin-right: calc(60px / 2);
}
.knowledge-info:nth-child(3n){
    margin-right: 0;
}
.knowledge-info:nth-child(n + 4){
    margin-top: calc(60px / 2);
}
.knowledge-info-img{
    width: 100%;
    height: 280px;
    display: block;
    overflow: hidden;
    position: relative;
}
.knowledge-category-tag-btn{
    position: absolute;
    top: 0;
    right: 0;
    display: inline-block;
    vertical-align: middle;
    box-sizing: border-box;
    border-left: 1px solid #ddd;
    text-align: center;
    transition: all .3s linear;
    cursor: pointer;
}
.knowledge-category-tag-btn p{
    width: 80px;
    display: inline-block;
    vertical-align: middle;
    line-height: 25px;
    font-family: "Noto Sans TC";
    font-size: 16px;
    color: #666;
    letter-spacing: 0.06em;
    box-sizing: border-box;
    padding: 10px 5px;
    transition: all .3s linear;
}
.knowledge-category-tag-box{
    width: 100%;
    position: static;
    pointer-events: all;
    opacity: 1;
    margin-top: 20px;
    display: none;
    transition: none;
}
.knowledge-category-tag{
    font-family: "Noto Sans TC";
    font-size: 14px;
    color: #666;
    letter-spacing: 0.06em;
    box-sizing: border-box;
    margin: 0 5px;
    transition: all .3s linear;
    
}
.knowledge-info-category{
    display: inline-block;
    font-family: "Noto Sans TC";
    font-size: 12px;
    line-height: 1;
    text-align: left;
    padding: 4px 8px;
    border: solid 1px #44bcbb;
    letter-spacing: .1em;
    color: #44bcbb;
    margin: 10px 0;
}
.knowledge-info-text{
    font-family: "Noto Sans TC";
    font-size: 20px;
    color: #000;
    letter-spacing: 0.06em;
    line-height: 1;
    box-sizing: border-box;
    padding-left: 0.06em;
}

@media only screen and (min-width: 1001px){
    .knowledge-pages-all-box{
        width: 1000px;
        padding: 40px 0;
    }
}
.knowledge-pages-info-title{
    font-family: "Noto Sans TC";
    font-size: 32px;
    color: #000;
    letter-spacing: 0.06em;
    line-height: 1.4;
    box-sizing: border-box;
}
.knowledge-pages-info-tag-box{
    margin-bottom: 40px;
}
.knowledge-pages-info-tag{
    font-family: "Noto Sans TC";
    font-size: 14px;
    color: #666;
    letter-spacing: 0.06em;
    box-sizing: border-box;
    margin-right: 10px;
    transition: all .3s linear;
}
.knowledge-pages-info-edit{
    font-family: "Noto Sans TC";
    font-weight: 300;
    font-size: 18px;
    color: #000;
    letter-spacing: 0.06em;
    box-sizing: border-box;
    margin-top: 40px;
}
.knowledge-pages-info-back {
    display: block;
    text-align: center;
    margin-top: 60px;
    transition: all .3s linear;
}
.knowledge-pages-info-back a{
    display: inline-block;
    vertical-align: middle;
    line-height: 25px;
    font-family: "Noto Sans TC";
    font-size: 20px;
    color: #666;
    letter-spacing: 0.06em;
    box-sizing: border-box;
    border: 1px solid #666;
    padding: 10px 10px;
    transition: all .3s linear;
}
.knowledge-pages-info-back a>i{
    margin-right: 10px;
}




@media only screen and (max-width: 1200px){
    .knowledge-info {
        width: 320px;
        margin-right: calc(40px / 2);
    }
    .knowledge-info:nth-child(n + 4) {
        margin-top: calc(40px / 2);
    }
    .knowledge-info-img{
        height: calc((280 / 380) * 320px);
    }
}
@media only screen and (max-width: 1000px){
    .knowledge-info {
        width: 240px;
        margin-right: calc(30px / 2);
    }
    .knowledge-info:nth-child(n + 4) {
        margin-top: calc(30px / 2);
    }
    .knowledge-info-img{
        height: calc((280 / 380) * 240px);
    }
    .knowledge-info-text{
        font-size: 18px;
    }
}
@media only screen and (max-width: 768px){
    .knowledge-category-box{
        margin: 40px 0;
        margin-bottom: 80px;
    }
    .knowledge-category-search{
        width: calc(550px - 40px);
    }
    .rwd-knowledge-category{
        width: calc(100% - 100px);
        font-family: "Noto Sans TC";
        font-size: 16px;
        color: #333;
        letter-spacing: 0.06em;
        line-height: 36px;
        border: 1px solid #ddd;
        text-align: center;
        display: block;
        position: relative;
        box-sizing: border-box;
    }
    .rwd-knowledge-category:after {
        content: '';
        width: 0px;
        height: 0px;
        margin: 0 auto;
        border-right: 6px solid transparent;
        border-top: 8px solid #666;
        border-left: 6px solid transparent;
        display: block;
        position: absolute;
        bottom: calc(50% - 4px);
        right: 10px;
        box-sizing: border-box;
    }
    .knowledge-category-list-box{
        width: 100vw;
        height: 100vh;
        display: none;
        align-items: center;
        -webkit-align-items: center;
        justify-content: center;
        -webkit-justify-content: center;
        flex-direction: row;
        position: fixed;
        top: 0;
        left: 0;
        padding-right: 0;
        z-index: 999;
    }
    .knowledge-category-list-box.active{
        display: inline-flex;
        display: -webkit-inline-flex;
    }
    .knowledge-category-all-box{
        width: 550px;
        max-width: calc(100vw - 40px);
        background-color: #fff;
        display: block;
        position: relative;
        z-index: 3;
        max-height: 80vh;
        overflow: auto;
    }
    .knowledge-category-close{
        width: 40px;
        height: 40px;
        line-height: 40px;
        font-size: 20px;
        color: #000;
        font-family: "Noto Sans TC";
        text-align: center;
        display: block;
        position: absolute;
        top: 0px;
        right: 0;
        background-color: #ddd;
        cursor: pointer;
        z-index: 3;
    }
    .knowledge-category-mask{
        width: 100%;
        height: 100%;
        position: absolute;
        top: 0px;
        right: 0;
        background-color: rgba(0, 0, 0, .7);
        cursor: pointer;
        z-index: 2;
    }
    .knowledge-category-list{
        width: 100%;
        display: block;
        margin-right: 0;
    }
    .knowledge-category{
        width: 100%;
        position: relative;
    }
    .knowledge-category>a{
        width: 100%;
    }
    .knowledge-category-tag-box{
        border-bottom: none;
        padding: 5px 10px;
    }
    .knowledge-category-tag-btn{
        border-left: none;
    }
    .knowledge-category-tag-btn p{
        padding: 5px;
    }

    .knowledge-info:nth-child(n){
        width: 265px;
        margin-right: 20px;
        margin-top: 0;
    }
    .knowledge-info:nth-child(2n){
        margin-right: 0;
    }
    .knowledge-info:nth-child(n + 3){
        margin-top: 20px;
    }
    .knowledge-info-img{
        height: calc((280 / 380) * 265px);
    }

}
@media only screen and (max-width: 550px){
    .knowledge-category-box{
        margin: 20px 0;
        margin-bottom: 50px;
    }
    .knowledge-category-search-box{
        bottom: -40px;
    }
    .knowledge-category-search{
        width: calc(100vw - 30px - 40px);
    }
    .knowledge-category-search-text{
        height: 30px;
        line-height: 30px;
        padding: 0 5px;
    }
    .knowledge-category-search-btn{
        width: 40px;
        line-height: 28px;
    }
    .knowledge-info:nth-child(n){
        width: calc((100vw - 30px - 10px) / 2);
        margin-right: 10px;
        margin-top: 0;
    }
    .knowledge-info:nth-child(2n){
        margin-right: 0;
    }
    .knowledge-info:nth-child(n + 3){
        margin-top: 20px;
    }
    .knowledge-info-img{
        height: calc((280 / 380) * ((100vw - 30px - 10px) / 2));
    }
    .knowledge-info-category{
        padding: 4px;
        margin: 5px 0;
    }
    .knowledge-info-text{
        font-size: 16px;
    }
    .knowledge-pages-info-title{
        font-size: 22px;
    }
    .knowledge-pages-info-tag-box{
        margin-bottom: 15px;
    }
    .knowledge-pages-info-edit{
        font-size: 16px;
        line-height: 1.4;
        margin-top: 15px;
    }
    .knowledge-pages-info-back{
        margin-top: 20px;
    }
    .knowledge-pages-info-back a{
        font-size: 18px;
        line-height: 20px;
    }
}
@media only screen and (max-width: 350px){
}




@media only screen and (min-width: 769px){
    .knowledge-category.active,
    .knowledge-category:hover{
        border-bottom-color: #44bcbb;
    }
    .knowledge-category.active a,
    .knowledge-category:hover a{
        color: #44bcbb;
    }
    .knowledge-info:hover .main-bg{
        transform: scale(1.1);
    }
    .knowledge-category-tag-btn:hover p{
        color: #44bcbb;
    }
    .knowledge-category-tag:hover,
    .knowledge-category-tag.active,
    .knowledge-pages-info-tag:hover{
        color: #44bcbb;
    }
    .knowledge-category-search-box:hover{
        box-shadow: 0 0 5px rgba(0, 0, 0, .35);
    }
    .knowledge-category-search-text:focus{
        background-color: rgba(68, 188, 186, 0.1);
    }
    .knowledge-category-search-btn:hover{
        background-color: #44bcbb;
        border-color: #44bcbb;
        color: #fff;
    }
    .knowledge-pages-info-back a:hover{
        background-color: #44bcbb;
        border-color: #44bcbb;
        color: #fff;
    }

    .knowledge-category-box,
    .knowledge-info{
        opacity: 0;
    }
    .knowledge-category-box.anima{
        animation: fade 1s ease 0s 1 both;
    }
    .knowledge-info.anima{
        animation: fadeInUp 1s ease 0s 1 both;
    }

    .knowledge-pages-info-title,
    .knowledge-pages-info-tag-box,
    .knowledge-pages-info-img,
    .knowledge-pages-info-edit,
    .knowledge-pages-info-back{
        opacity: 0;
    }
    .knowledge-pages-info-title.anima{
        animation: fade 1s ease 0s 1 both;
    }
    .knowledge-pages-info-tag-box.anima{
        animation: fade 1s ease 0s 1 both;
    }
    .knowledge-pages-info-img.anima{
        animation: fade 1s ease 0s 1 both;
    }
    .knowledge-pages-info-edit.anima{
        animation: fade 1s ease 0s 1 both;
    }
    .knowledge-pages-info-back.anima{
        animation: fadeInRight 1s ease 0s 1 both;
    }
}